changeset 421:61b9df6c94b4

Don't create distcc symlinks, instead set the $PATH to point to the existing subdirectory with unwrapped toolchain components with the right names.
author Rob Landley <rob@landley.net>
date Tue, 28 Oct 2008 01:46:08 -0500
parents 3ec2fa866280
children 372ab2afa692
files cross-compiler.sh sources/toys/run-with-distcc.sh
diffstat 2 files changed, 4 insertions(+), 12 deletions(-) [+]
line wrap: on
line diff
--- a/cross-compiler.sh	Tue Oct 28 01:43:41 2008 -0500
+++ b/cross-compiler.sh	Tue Oct 28 01:46:08 2008 -0500
@@ -69,15 +69,6 @@
 
 cleanup "${CURSRC}" build-gcc
 
-# Set up symlinks for distcc
-
-mkdir -p "${CROSS}/distcc" &&
-ln -s ../bin/"$ARCH-rawgcc" "${CROSS}/distcc/cc" &&
-ln -s ../bin/"$ARCH-rawgcc" "${CROSS}/distcc/gcc" &&
-ln -s ../bin/"$ARCH-as" "${CROSS}/distcc/as"
-
-[ $? -ne 0 ] && dienow
-
 # Install kernel headers.
 
 setupfor linux &&
--- a/sources/toys/run-with-distcc.sh	Tue Oct 28 01:43:41 2008 -0500
+++ b/sources/toys/run-with-distcc.sh	Tue Oct 28 01:46:08 2008 -0500
@@ -3,7 +3,7 @@
 # Wrapper script that sets up distcc on the host and tells the native build
 # where to find it, then hands off to run-with-home.sh
 
-if [ ! -f "$1"/distcc/gcc ]
+if [ ! -f "$1"/*-unknown-linux/bin/gcc ]
 then
   echo "Usage: $0 cross-compiler-path" >&2
   exit 1
@@ -35,8 +35,9 @@
 }
 
 PORT=$(portno)
-PATH="$(readlink -f "$1/distcc")" "$DCC" --listen 127.0.0.1 --no-detach \
-  --log-file distccd.log --log-level warning --daemon -a 127.0.0.1 -p $PORT &
+PATH="$(readlink -f "$1"/*-unknown-linux/bin)" "$DCC" --listen 127.0.0.1 \
+  --no-detach --log-file distccd.log --log-level warning --daemon \
+  -a 127.0.0.1 -p $PORT &
 # Cleanup afterwards: Kill child processes we started (I.E. distccd).
 trap "kill $(jobs -p)" EXIT